Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.captcha
Class TestOnceAfterMaxRequestsCaptchaChannelProcessor

    java.lang.Object
      org.acegisecurity.captcha.CaptchaChannelProcessorTemplate
          org.acegisecurity.captcha.TestOnceAfterMaxRequestsCaptchaChannelProcessor

All Implemented Interfaces:
  ChannelProcessor, InitializingBean

    public class TestOnceAfterMaxRequestsCaptchaChannelProcessor

extends CaptchaChannelProcessorTemplate

return false if ny CaptchaChannelProcessorTemplate mapped urls has been requested more than thresold and humanity is false;
Default keyword : REQUIRES_CAPTCHA_ONCE_ABOVE_THRESOLD_REQUESTS

Version:
  $Id: TestOnceAfterMaxRequestsCaptchaChannelProcessor.java,v 1.2 2005/11/17 00:55:49 benalex Exp $
Author:
  Marc-Antoine Garrigue

Field Summary
`static String` | `DEFAULT_KEYWORD`

Fields inherited from class org.acegisecurity.captcha.CaptchaChannelProcessorTemplate
`logger`

Constructor Summary
`TestOnceAfterMaxRequestsCaptchaChannelProcessor()`

Method Summary

Methods inherited from class org.acegisecurity.captcha.CaptchaChannelProcessorTemplate
`afterPropertiesSet, decide, getEntryPoint, getKeyword, getThresold, setEntryPoint, setKeyword, setThresold, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_KEYWORD

    public static final String DEFAULT_KEYWORD

See Also:
  Constant Field Values

Constructor Detail

### TestOnceAfterMaxRequestsCaptchaChannelProcessor

    public TestOnceAfterMaxRequestsCaptchaChannelProcessor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.